View Issue Details

IDProjectCategoryView StatusLast Update
0000042ScribusGeneralpublic2008-02-08 20:23
Reportercbradney Assigned Tofschmid  
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000042: Running Scribus on command line with accented characters in document name fails depending on LANG setting
Descriptionavp reports on his machine that opening a file, eg äÏËÕÍÅÎÔ-1.sla does not work. This works on cbradney's machine which uses LANG=en_AU. avp uses LANG=ru_RU.KOI8-R.
TagsNo tags attached.
Patch

Activities

cbradney

2003-11-20 09:05

administrator   ~0000006

Confirmed. export LANG=ru_RU.KOI8-R and you get the following result:
cbradney@athlonxp Desktop $ scribus äÏËÕÍÅÎÔ-1.sla
File does not exist, aborting.

Usage:
scribus --version -> prints Version-Number and exits.
scribus --help -> prints this Info and exits.
scribus --lang xx -> uses xx as Shortcut for a Language.
scribus "String" -> Interprets "String" as Filename
                      for a Document and tries to open it.

cbradney

2004-01-30 22:33

administrator   ~0000403

Loading Fixed. Needs adjustment as Title Bar shows ???????.sla. Franz knows, will fix.

plinnell

2004-02-01 15:43

viewer   ~0000418

fixed..notes

1. Title Bar display is affected by Window manager settings. i.e. KDE controls this font selection. Not all fonts have Cyrillic glyphs or they are not in the correct place. I tested with Georgia, which has seemingly excellent support for Cyrillic.

2. Works with UTF-8_ru, but not UTF-8

3. Tested with LANG=ru_RU.KOI8-R Cyrillic - charachters show properly :)

Issue History

Date Modified Username Field Change
2003-11-20 08:51 cbradney New Issue
2003-11-20 08:51 cbradney Category Documentation => General
2003-11-20 09:05 cbradney Note Added: 0000006
2003-11-20 09:05 cbradney Status new => confirmed
2003-11-20 09:05 cbradney Description Updated
2003-11-20 22:33 cbradney Summary Running Scribus on command line with accented characters fails depending on LANG setting => Running Scribus on command line with accented characters in document name fails depending on LANG setting
2003-12-25 23:39 cbradney Priority normal => low
2004-01-30 21:57 fschmid Status confirmed => resolved
2004-01-30 21:57 fschmid Resolution open => fixed
2004-01-30 21:57 fschmid Assigned To => fschmid
2004-01-30 22:33 cbradney Status resolved => feedback
2004-01-30 22:33 cbradney Resolution fixed => reopened
2004-01-30 22:33 cbradney Note Added: 0000403
2004-02-01 15:43 plinnell Status feedback => closed
2004-02-01 15:43 plinnell Note Added: 0000418
2008-02-08 20:23 christoph_s Status closed => resolved
2008-02-08 20:23 christoph_s Resolution reopened => fixed
2008-02-08 20:23 christoph_s Status resolved => closed